%define glib_version 2.6.0
%define gtk_version 2.8.0
%define libgnomeui_version 2.13.0
%define libmusicbrainz_version 2.1.0
%define gstreamer_version 0.10.3
%define gconf_version 2.14
%define gnome_media_version 2.11.91
%define gnome_vfs_version 2.9.90
%define nautilus_cd_burner_version 2.15.3
%define hal_version 0.5.0
%define scrollkeeper_version 0.3.5

Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		sound-juicer
Summary:	Clean and lean CD ripper
Version:	2.22.0
Release:	1
License:	GPLv2+
Group:		Sound
Source:		http://download.gnome.org/sources/sound-juicer/2.20/%{name}-%{version}.tar.bz2
URL:		http://www.burtonini.com/blog/computers/sound-juicer
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)	
Requires:	cdparanoia-III
Requires:	nautilus-cd-burner >= %{nautilus_cd_burner_version}

Requires(pre): GConf >= %{gconf_version}
Requires(post): GConf >= %{gconf_version}
Requires(preun): GConf >= %{gconf_version}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

BuildRequires:  gnome-media-devel >= %{gnome_media_version}
BuildRequires:	libmusicbrainz-devel >= %{libmusicbrainz_version}
BuildRequires:	libgnomeui-devel >= %{libgnomeui_version}
BuildRequires:	glib-devel >= %{glib_version}
BuildRequires:	gtk2+-devel >= %{gtk_version}
BuildRequires:	gstreamer10-devel >= %{gstreamer_version}
BuildRequires:	gst-plugins-base-devel
BuildRequires:	gst-plugins-good-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	GConf-devel >= %{gconf_version}
BuildRequires:  hal-devel >= %{hal_version}
BuildRequires:  gnome-vfs-devel >= %{gnome_vfs_version}
BuildRequires:  nautilus-cd-burner-devel >= %{nautilus_cd_burner_version}
BuildRequires:  scrollkeeper >= %{scrollkeeper_version}
BuildRequires:  gettext
BuildRequires:  perl(XML::Parser)

%description
GStreamer-based CD ripping tool. Saves audio CDs to Ogg/vorbis.

%prep
%setup -q

%build
# work around a gstreamer problem where it 
# doesn't find plugins the first time around
/usr/bin/gst-inspect-0.10 --print-all >& /dev/null
%configure --sysconfdir=%_sysconfdir/gnome --enable-hal --disable-scrollkeeper

make AM_CFLAGS=-export-dynamic

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1;
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper
%find_lang sound-juicer --with-gnome

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/sound-juicer.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/sound-juicer.schemas > /dev/null || :
fi

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/sound-juicer.schemas > /dev/null || :
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%postun
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi

%files -f sound-juicer.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/sound-juicer
%{_sysconfdir}/gnome/gconf/schemas/sound-juicer.schemas
%{_datadir}/sound-juicer
%{_datadir}/applications/sound-juicer.desktop
%{_datadir}/omf/sound-juicer
%{_datadir}/icons/hicolor/*/apps/sound-juicer.png
%{_datadir}/icons/hicolor/*/apps/sound-juicer.svg
%{_mandir}/man1/*

%changelog
* Tue Apr 08 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.0-1
- Version update
* Fri Nov 30 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.1-1
- Initial release